Contents
Index 🔎︎

# Chr Function

Devuelve'l caráuter que correspuende al códigu de caráuter especificáu.

### Syntax:

Chr(Expresión As Integer)

### Return value:

Cadena

### Parameters:

Expression: a numeric expression that represents a valid 8-bit ASCII value (0-255) or a 16-bit Unicode value.

When VBA compatibility mode is enabled (OPTION VBASUPPORT 1), Expression is a numeric expression that represents a valid 8-bit ASCII value (0-255) only.

Use la función Chr$ pa unviar secuencies de control especiales a una imprentadora o a otra fonte de salida. Tamién pue usalo pa inxertar comines nuna espresión de cadena.

## Error codes:

5 Llamada a procedimientu non válida

6 Llena, when VBA compatibility mode is enabled and expression is greater than 255.

### Example:

            Sub ExampleChr
                ' Esti exemplu inxerta comines (valor ASCII 34) nuna cadena.
                MsgBox "Un "+ Chr$(34)+"viaxe" + Chr$(34)+" curtiu."
                ' El mensaxe apaez nel diálogu como: Un "viaxe" curtiu.
            End Sub

Temes rellacionaes

ASC